Index: /branches/version-2/data/class/SC_DbConn.php
===================================================================
--- /branches/version-2/data/class/SC_DbConn.php	(revision 16931)
+++ /branches/version-2/data/class/SC_DbConn.php	(revision 17205)
@@ -45,4 +45,7 @@
         // Debugモード指定
         $options['debug'] = PEAR_DB_DEBUG;
+        // 持続的接続オプション
+        $options['persistent'] = PEAR_DB_PERSISTENT;
+
         // 既に接続されていないか、新規接続要望の場合は接続する。
         if(!isset($objDbConn->connection) || $new) {
Index: /branches/version-2/data/mtb_constants_init.php
===================================================================
--- /branches/version-2/data/mtb_constants_init.php	(revision 17145)
+++ /branches/version-2/data/mtb_constants_init.php	(revision 17205)
@@ -74,4 +74,6 @@
 /** PEAR::DBのデバッグモード */
 define('PEAR_DB_DEBUG', 9);
+/** PEAR::DBの持続的接続オプション */
+define('PEAR_DB_PERSISTENT', false);
 /** バッチを実行する最短の間隔(秒) */
 define('LOAD_BATCH_PASS', 3600);
Index: /branches/version-2/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2/html/install/sql/insert_data.sql	(revision 17145)
+++ /branches/version-2/html/install/sql/insert_data.sql	(revision 17205)
@@ -806,29 +806,30 @@
 INSERT INTO mtb_constants VALUES ('ECCUBE_PAYMENT','"EC-CUBE"',41,'決済モジュール付与文言');
 INSERT INTO mtb_constants VALUES ('PEAR_DB_DEBUG','9',42,'PEAR::DBのデバッグモード');
-INSERT INTO mtb_constants VALUES ('LOAD_BATCH_PASS','3600',43,'バッチを実行する最短の間隔(秒)');
-INSERT INTO mtb_constants VALUES ('CLOSE_DAY','31',44,'締め日の指定(末日の場合は、31を指定してください。)');
-INSERT INTO mtb_constants VALUES ('FAVORITE_ERROR','13',45,'一般サイトエラー');
-INSERT INTO mtb_constants VALUES ('LIB_DIR','DATA_PATH . "lib/"',46,'ライブラリのパス');
-INSERT INTO mtb_constants VALUES ('TTF_DIR','DATA_PATH . "fonts/"',47,'フォントのパス');
-INSERT INTO mtb_constants VALUES ('GRAPH_DIR','HTML_PATH . "upload/graph_image/"',48,'グラフ格納ディレクトリ');
-INSERT INTO mtb_constants VALUES ('GRAPH_URL','URL_DIR . "upload/graph_image/"',49,'グラフURL');
-INSERT INTO mtb_constants VALUES ('GRAPH_PIE_MAX','10',50,'円グラフ最大表示数');
-INSERT INTO mtb_constants VALUES ('GRAPH_LABEL_MAX','40',51,'グラフのラベルの文字数');
-INSERT INTO mtb_constants VALUES ('PDF_DIR','DATA_PATH . "pdf/"',52,'PDF格納ディレクトリ');
-INSERT INTO mtb_constants VALUES ('BAT_ORDER_AGE','70',53,'何歳まで集計の対象とするか');
-INSERT INTO mtb_constants VALUES ('PRODUCTS_TOTAL_MAX','15',54,'商品集計で何位まで表示するか');
-INSERT INTO mtb_constants VALUES ('DEFAULT_PRODUCT_DISP','2',55,'1:公開 2:非公開');
-INSERT INTO mtb_constants VALUES ('DELIV_FREE_AMOUNT','0',56,'送料無料購入個数（0の場合は、何個買っても無料にならない)');
-INSERT INTO mtb_constants VALUES ('INPUT_DELIV_FEE','1',57,'配送料の設定画面表示(有効:1 無効:0)');
-INSERT INTO mtb_constants VALUES ('OPTION_PRODUCT_DELIV_FEE','0',58,'商品ごとの送料設定(有効:1 無効:0)');
-INSERT INTO mtb_constants VALUES ('OPTION_DELIV_FEE','1',59,'配送業者ごとの配送料を加算する(有効:1 無効:0)');
-INSERT INTO mtb_constants VALUES ('OPTION_RECOMMEND','1',60,'おすすめ商品登録(有効:1 無効:0)');
-INSERT INTO mtb_constants VALUES ('OPTION_CLASS_REGIST','1',61,'商品規格登録(有効:1 無効:0)');
-INSERT INTO mtb_constants VALUES ('TV_IMAGE_WIDTH','170',62,'TV連動商品画像横');
-INSERT INTO mtb_constants VALUES ('TV_IMAGE_HEIGHT','95',63,'TV連動商品画像縦');
-INSERT INTO mtb_constants VALUES ('TV_PRODUCTS_MAX','10',64,'TV連動商品最大登録数');
-INSERT INTO mtb_constants VALUES ('DEFAULT_PASSWORD','"UAhgGR3L"',65,'会員登録変更(マイページ)パスワード用');
-INSERT INTO mtb_constants VALUES ('DELIV_ADDR_MAX','20',66,'別のお届け先最大登録数');
-INSERT INTO mtb_constants VALUES ('CUSTOMER_READING_MAX','30',67,'閲覧履歴保存数');
+INSERT INTO mtb_constants VALUES ('PEAR_DB_PERSISTENT','false',43,'PEAR::DBの持続的接続オプション(false:OFF、true:ON)');
+INSERT INTO mtb_constants VALUES ('LOAD_BATCH_PASS','3600',44,'バッチを実行する最短の間隔(秒)');
+INSERT INTO mtb_constants VALUES ('CLOSE_DAY','31',45,'締め日の指定(末日の場合は、31を指定してください。)');
+INSERT INTO mtb_constants VALUES ('FAVORITE_ERROR','13',46,'一般サイトエラー');
+INSERT INTO mtb_constants VALUES ('LIB_DIR','DATA_PATH . "lib/"',47,'ライブラリのパス');
+INSERT INTO mtb_constants VALUES ('TTF_DIR','DATA_PATH . "fonts/"',48,'フォントのパス');
+INSERT INTO mtb_constants VALUES ('GRAPH_DIR','HTML_PATH . "upload/graph_image/"',49,'グラフ格納ディレクトリ');
+INSERT INTO mtb_constants VALUES ('GRAPH_URL','URL_DIR . "upload/graph_image/"',50,'グラフURL');
+INSERT INTO mtb_constants VALUES ('GRAPH_PIE_MAX','10',51,'円グラフ最大表示数');
+INSERT INTO mtb_constants VALUES ('GRAPH_LABEL_MAX','40',52,'グラフのラベルの文字数');
+INSERT INTO mtb_constants VALUES ('PDF_DIR','DATA_PATH . "pdf/"',53,'PDF格納ディレクトリ');
+INSERT INTO mtb_constants VALUES ('BAT_ORDER_AGE','70',54,'何歳まで集計の対象とするか');
+INSERT INTO mtb_constants VALUES ('PRODUCTS_TOTAL_MAX','15',55,'商品集計で何位まで表示するか');
+INSERT INTO mtb_constants VALUES ('DEFAULT_PRODUCT_DISP','2',56,'1:公開 2:非公開');
+INSERT INTO mtb_constants VALUES ('DELIV_FREE_AMOUNT','0',57,'送料無料購入個数（0の場合は、何個買っても無料にならない)');
+INSERT INTO mtb_constants VALUES ('INPUT_DELIV_FEE','1',58,'配送料の設定画面表示(有効:1 無効:0)');
+INSERT INTO mtb_constants VALUES ('OPTION_PRODUCT_DELIV_FEE','0',59,'商品ごとの送料設定(有効:1 無効:0)');
+INSERT INTO mtb_constants VALUES ('OPTION_DELIV_FEE','1',60,'配送業者ごとの配送料を加算する(有効:1 無効:0)');
+INSERT INTO mtb_constants VALUES ('OPTION_RECOMMEND','1',61,'おすすめ商品登録(有効:1 無効:0)');
+INSERT INTO mtb_constants VALUES ('OPTION_CLASS_REGIST','1',62,'商品規格登録(有効:1 無効:0)');
+INSERT INTO mtb_constants VALUES ('TV_IMAGE_WIDTH','170',63,'TV連動商品画像横');
+INSERT INTO mtb_constants VALUES ('TV_IMAGE_HEIGHT','95',64,'TV連動商品画像縦');
+INSERT INTO mtb_constants VALUES ('TV_PRODUCTS_MAX','10',65,'TV連動商品最大登録数');
+INSERT INTO mtb_constants VALUES ('DEFAULT_PASSWORD','"UAhgGR3L"',66,'会員登録変更(マイページ)パスワード用');
+INSERT INTO mtb_constants VALUES ('DELIV_ADDR_MAX','20',67,'別のお届け先最大登録数');
+INSERT INTO mtb_constants VALUES ('CUSTOMER_READING_MAX','30',68,'閲覧履歴保存数');
 INSERT INTO mtb_constants VALUES ('ORDER_STATUS_MAX','50',70,'管理画面ステータス一覧表示件数');
 INSERT INTO mtb_constants VALUES ('REVIEW_REGIST_MAX','5',71,'フロントレビュー書き込み最大数');