Index: /branches/version-2/data/Smarty/templates/default/admin/order/index.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/admin/order/index.tpl	(revision 16987)
+++ /branches/version-2/data/Smarty/templates/default/admin/order/index.tpl	(revision 17228)
@@ -159,31 +159,62 @@
 							</tr>
 							<tr class="fs12n">
-								<td bgcolor="#f2f1ec" width="110">登録・更新日</td>
+								<td bgcolor="#f2f1ec" width="110">受注日</td>
 								<td bgcolor="#ffffff" width="499" colspan="3">
 									<span class="red"><!--{$arrErr.search_startyear}--></span>
 									<span class="red"><!--{$arrErr.search_endyear}--></span>		
-									<select name="search_startyear"  style="<!--{$arrErr.search_startyear|sfGetErrorColor}-->">
-									<option value="">----</option>
-									<!--{html_options options=$arrRegistYear selected=$arrForm.search_startyear.value}-->
-									</select>年
-									<select name="search_startmonth" style="<!--{$arrErr.search_startyear|sfGetErrorColor}-->">
-									<option value="">--</option>
-									<!--{html_options options=$arrMonth selected=$arrForm.search_startmonth.value}-->
-									</select>月
-									<select name="search_startday" style="<!--{$arrErr.search_startyear|sfGetErrorColor}-->">
-									<option value="">--</option>
-									<!--{html_options options=$arrDay selected=$arrForm.search_startday.value}-->
+									<select name="search_sorderyear"  style="<!--{$arrErr.search_sorderyear|sfGetErrorColor}-->">
+									<option value="">----</option>
+									<!--{html_options options=$arrRegistYear selected=$arrForm.search_sorderyear.value}-->
+									</select>年
+									<select name="search_sordermonth" style="<!--{$arrErr.search_sorderyear|sfGetErrorColor}-->">
+									<option value="">--</option>
+									<!--{html_options options=$arrMonth selected=$arrForm.search_sordermonth.value}-->
+									</select>月
+									<select name="search_sorderday" style="<!--{$arrErr.search_sorderyear|sfGetErrorColor}-->">
+									<option value="">--</option>
+									<!--{html_options options=$arrDay selected=$arrForm.search_sorderday.value}-->
 									</select>日〜
-									<select name="search_endyear" style="<!--{$arrErr.search_endyear|sfGetErrorColor}-->">
-									<option value="">----</option>
-									<!--{html_options options=$arrRegistYear selected=$arrForm.search_endyear.value}-->
-									</select>年
-									<select name="search_endmonth" style="<!--{$arrErr.search_endyear|sfGetErrorColor}-->">
-									<option value="">--</option>
-									<!--{html_options options=$arrMonth selected=$arrForm.search_endmonth.value}-->
-									</select>月
-									<select name="search_endday" style="<!--{$arrErr.search_endyear|sfGetErrorColor}-->">
-									<option value="">--</option>
-									<!--{html_options options=$arrDay selected=$arrForm.search_endday.value}-->
+									<select name="search_eorderyear" style="<!--{$arrErr.search_eorderyear|sfGetErrorColor}-->">
+									<option value="">----</option>
+									<!--{html_options options=$arrRegistYear selected=$arrForm.search_eorderyear.value}-->
+									</select>年
+									<select name="search_eordermonth" style="<!--{$arrErr.search_eorderyear|sfGetErrorColor}-->">
+									<option value="">--</option>
+									<!--{html_options options=$arrMonth selected=$arrForm.search_eordermonth.value}-->
+									</select>月
+									<select name="search_eorderday" style="<!--{$arrErr.search_eorderyear|sfGetErrorColor}-->">
+									<option value="">--</option>
+									<!--{html_options options=$arrDay selected=$arrForm.search_eorderday.value}-->
+									</select>日
+								</td>
+							</tr>
+							<tr class="fs12n">
+								<td bgcolor="#f2f1ec" width="110">更新日</td>
+								<td bgcolor="#ffffff" width="499" colspan="3">
+									<span class="red"><!--{$arrErr.search_startyear}--></span>
+									<span class="red"><!--{$arrErr.search_endyear}--></span>		
+									<select name="search_supdateyear"  style="<!--{$arrErr.search_supdateyear|sfGetErrorColor}-->">
+									<option value="">----</option>
+									<!--{html_options options=$arrRegistYear selected=$arrForm.search_supdateyear.value}-->
+									</select>年
+									<select name="search_supdatemonth" style="<!--{$arrErr.search_supdateyear|sfGetErrorColor}-->">
+									<option value="">--</option>
+									<!--{html_options options=$arrMonth selected=$arrForm.search_supdatemonth.value}-->
+									</select>月
+									<select name="search_supdateday" style="<!--{$arrErr.search_supdateyear|sfGetErrorColor}-->">
+									<option value="">--</option>
+									<!--{html_options options=$arrDay selected=$arrForm.search_supdateday.value}-->
+									</select>日〜
+									<select name="search_eupdateyear" style="<!--{$arrErr.search_eupdateyear|sfGetErrorColor}-->">
+									<option value="">----</option>
+									<!--{html_options options=$arrRegistYear selected=$arrForm.search_eupdateyear.value}-->
+									</select>年
+									<select name="search_eupdatemonth" style="<!--{$arrErr.search_eupdateyear|sfGetErrorColor}-->">
+									<option value="">--</option>
+									<!--{html_options options=$arrMonth selected=$arrForm.search_eupdatemonth.value}-->
+									</select>月
+									<select name="search_eupdateday" style="<!--{$arrErr.search_eupdateyear|sfGetErrorColor}-->">
+									<option value="">--</option>
+									<!--{html_options options=$arrDay selected=$arrForm.search_eupdateday.value}-->
 									</select>日
 								</td>
Index: /branches/version-2/data/class/pages/admin/order/LC_Page_Admin_Order.php
===================================================================
--- /branches/version-2/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 17215)
+++ /branches/version-2/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 17228)
@@ -223,11 +223,21 @@
                         $arrval[] = $val;
                         break;
-                    case 'search_startyear':
-                        $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_startyear'], $_POST['search_startmonth'], $_POST['search_startday']);
+                    case 'search_sorderyear':
+                        $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_sorderyear'], $_POST['search_sordermonth'], $_POST['search_sorderday']);
+                        $where.= " AND create_date >= ?";
+                        $arrval[] = $date;
+                        break;
+                    case 'search_eorderyear':
+                        $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_eorderyear'], $_POST['search_eordermonth'], $_POST['search_eorderday']);
+                        $where.= " AND create_date <= ?";
+                        $arrval[] = $date;
+                        break;
+                    case 'search_supdateyear':
+                        $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_supdateyear'], $_POST['search_supdatemonth'], $_POST['search_supdateday']);
                         $where.= " AND update_date >= ?";
                         $arrval[] = $date;
                         break;
-                    case 'search_endyear':
-                        $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_endyear'], $_POST['search_endmonth'], $_POST['search_endday'], true);
+                    case 'search_eupdateyear':
+                        $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_eupdateyear'], $_POST['search_eupdatemonth'], $_POST['search_eupdateday'], true);
                         $where.= " AND update_date <= ?";
                         $arrval[] = $date;
@@ -369,10 +379,16 @@
         $this->objFormParam->addParam("購入金額2", "search_total2", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
         $this->objFormParam->addParam("表示件数", "search_page_max", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("開始日", "search_startyear", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("開始日", "search_startmonth", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("開始日", "search_startday", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("終了日", "search_endyear", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("終了日", "search_endmonth", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("終了日", "search_endday", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("開始日", "search_sorderyear", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("開始日", "search_sordermonth", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("開始日", "search_sorderday", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("終了日", "search_eorderyear", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("終了日", "search_eordermonth", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("終了日", "search_eorderday", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("開始日", "search_supdateyear", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("開始日", "search_supdatemonth", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("開始日", "search_supdateday", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("終了日", "search_eupdateyear", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("終了日", "search_eupdatemonth", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("終了日", "search_eupdateday", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
         $this->objFormParam->addParam("開始日", "search_sbirthyear", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
         $this->objFormParam->addParam("開始日", "search_sbirthmonth", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));