Index: /branches/version-2/data/Smarty/templates/default/mypage/delivery_addr.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/mypage/delivery_addr.tpl	(revision 17049)
+++ /branches/version-2/data/Smarty/templates/default/mypage/delivery_addr.tpl	(revision 17334)
@@ -1,7 +1,7 @@
-<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--{*
+/*
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -20,27 +20,8 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- *}-->
-<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="Content-Script-Type" content="text/javascript" />
-<meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<title><!--{$arrSiteInfo.shop_name}-->/<!--{$tpl_title|escape}--></title>
-</head>
+ */
+*}-->
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="新しいお届け先の追加・変更"}-->
 
-<body onload="preLoadImg('<!--{$TPL_DIR}-->'); <!--{$tpl_onload}-->">
-<noscript>
-  <p><em>JavaScriptを有効にしてご利用下さい.</em></p>
-</noscript>
-
-<a name="top" id="top"></a>
-
-<!--▼CONTENTS-->
-<div id="windowcolumn">
   <div id="windowarea">
     <h2>
@@ -121,5 +102,4 @@
     </form>
   </div>
-</div>
-</body>
-</html>
+
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
Index: /branches/version-2/data/Smarty/templates/default/mypage/error.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/mypage/error.tpl	(revision 17049)
+++ /branches/version-2/data/Smarty/templates/default/mypage/error.tpl	(revision 17334)
@@ -1,9 +1,7 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html lang="ja">
 <!--{*
 /*
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -24,26 +22,6 @@
  */
 *}-->
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->">
-<meta http-equiv="content-script-type" content="text/javascript">
-<meta http-equiv="content-style-type" content="text/css">
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="stylesheet" href="<!--{$tpl_css}-->" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<title><!--{$arrSiteInfo.shop_name}-->/エラー</title>
-</head>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="エラー"}-->
 
-<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
-<noscript>
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" />
-</noscript>
-
-<div align="center">
-
-<!--▼CONTENTS-->
-<!--▼MAINN ONTENTS-->
 <div id="compbox">
 <span class="red"><!--{$tpl_error}--></span><br />
@@ -51,9 +29,6 @@
 
 <div class="button">
-<a href="javascript:window.close()" onmouseOver="chgImg('<!--{$TPL_DIR}-->img/button/close_on.jpg','close');" onmouseout="chgImg('<!--{$TPL_DIR}-->img/button/close.jpg','close');"><img src="<!--{$TPL_DIR}-->img/button/close.jpg" width="129" height="32" alt="閉じる" name="close" id="close" /></a></div>
-<!--▲MAIN CONTENTS-->
-<!--▲CONTENTS-->
+<a href="javascript:window.close()" onmouseOver="chgImg('<!--{$TPL_DIR}-->img/button/close_on.jpg','close');" onmouseout="chgImg('<!--{$TPL_DIR}-->img/button/close.jpg','close');"><img src="<!--{$TPL_DIR}-->img/button/close.jpg" width="129" height="32" alt="閉じる" name="close" id="close" /></a>
 </div>
 
-</body>
-</html>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
Index: /branches/version-2/data/Smarty/templates/default/forgot/secret.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/forgot/secret.tpl	(revision 17049)
+++ /branches/version-2/data/Smarty/templates/default/forgot/secret.tpl	(revision 17334)
@@ -1,7 +1,6 @@
-<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--{*
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -21,26 +20,6 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  *}-->
-<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="Content-Script-Type" content="text/javascript" />
-<meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.SITE_URL}-->/rss/index.php" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<meta name="author" content="<!--{$arrPageLayout.author|escape}-->" />
-<meta name="description" content="<!--{$arrPageLayout.description|escape}-->" />
-<meta name="keywords" content="<!--{$arrPageLayout.keyword|escape}-->" />
-<title><!--{$arrSiteInfo.shop_name}-->/パスワードを忘れた方(確認ページ)</title>
-</head>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="パスワードを忘れた方(確認ページ)"}-->
 
-<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
-<noscript>
- <p>JavaScriptを有効にしてご利用下さい</p>
-</noscript>
-<div id="windowcolumn">
   <div id="windowarea">
     <h2><img src="<!--{$TPL_DIR}-->img/forget/title.jpg" width="500" height="40" alt="パスワードを忘れた方" /></h2>
@@ -59,5 +38,4 @@
     </form>
   </div>
-</div>
-</body>
-</html>
+
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
Index: /branches/version-2/data/Smarty/templates/default/forgot/index.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/forgot/index.tpl	(revision 17049)
+++ /branches/version-2/data/Smarty/templates/default/forgot/index.tpl	(revision 17334)
@@ -1,7 +1,6 @@
-<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--{*
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -21,26 +20,6 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  *}-->
-<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="Content-Script-Type" content="text/javascript" />
-<meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.SITE_URL}-->/rss/index.php" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<meta name="author" content="<!--{$arrPageLayout.author|escape}-->" />
-<meta name="description" content="<!--{$arrPageLayout.description|escape}-->" />
-<meta name="keywords" content="<!--{$arrPageLayout.keyword|escape}-->" />
-<title><!--{$arrSiteInfo.shop_name}-->/パスワードを忘れた方(入力ページ)</title>
-</head>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="パスワードを忘れた方(入力ページ)"}-->
 
-<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
-<noscript>
- <p>JavaScriptを有効にしてご利用下さい</p>
-</noscript>
-<div id="windowcolumn">
   <div id="windowarea">
     <h2><img src="<!--{$TPL_DIR}-->img/forget/title.jpg" width="500" height="40" alt="パスワードを忘れた方" /></h2>
@@ -58,5 +37,4 @@
     </form>
   </div>
-</div>
-</body>
-</html>
+
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
Index: /branches/version-2/data/Smarty/templates/default/forgot/complete.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/forgot/complete.tpl	(revision 17049)
+++ /branches/version-2/data/Smarty/templates/default/forgot/complete.tpl	(revision 17334)
@@ -1,7 +1,6 @@
-<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--{*
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -21,26 +20,6 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  *}-->
-<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="Content-Script-Type" content="text/javascript" />
-<meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.SITE_URL}-->/rss/index.php" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<meta name="author" content="<!--{$arrPageLayout.author|escape}-->" />
-<meta name="description" content="<!--{$arrPageLayout.description|escape}-->" />
-<meta name="keywords" content="<!--{$arrPageLayout.keyword|escape}-->" />
-<title><!--{$arrSiteInfo.shop_name}-->/パスワードを忘れた方(完了ページ)</title>
-</head>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="パスワードを忘れた方(完了ページ)"}-->
 
-<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
-<noscript>
- <p>JavaScriptを有効にしてご利用下さい</p>
-</noscript>
-<div id="windowcolumn">
   <div id="windowarea">
     <h2><img src="<!--{$TPL_DIR}-->img/forget/title.jpg" width="500" height="40" alt="パスワードを忘れた方" /></h2>
@@ -56,5 +35,4 @@
     </form>
   </div>
-</div>
-</body>
-</html>
+
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
Index: /branches/version-2/data/Smarty/templates/default/products/detail_image.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/products/detail_image.tpl	(revision 17049)
+++ /branches/version-2/data/Smarty/templates/default/products/detail_image.tpl	(revision 17334)
@@ -1,7 +1,6 @@
-<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--{*
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -21,25 +20,6 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  *}-->
-<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="Content-Script-Type" content="text/javascript" />
-<meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.SITE_URL}-->/rss/index.php" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<meta name="author" content="<!--{$arrPageLayout.author|escape}-->" />
-<meta name="description" content="<!--{$arrPageLayout.description|escape}-->" />
-<meta name="keywords" content="<!--{$arrPageLayout.keyword|escape}-->" />
-<title><!--{$arrSiteInfo.shop_name}--></title>
-</head>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="拡大画像"}-->
 
-<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
-<noscript>
- <p>JavaScriptを有効にしてご利用下さい</p>
-</noscript>
 <!--{if $tpl_width > 300}-->
   <!--{assign var=id value=bigimage}-->
@@ -48,4 +28,4 @@
 <!--{/if}-->
 <div id="<!--{$id}-->"><a href="javascript:window.close()");><img src="<!--{$smarty.const.IMAGE_SAVE_URL}--><!--{$tpl_image}-->" width="<!--{$tpl_width}-->" height="<!--{$tpl_height}-->" alt="<!--{$tpl_name}-->" /></a></div>
-</body>
-</html>
+
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
Index: /branches/version-2/data/Smarty/templates/default/products/review_complete.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/products/review_complete.tpl	(revision 17049)
+++ /branches/version-2/data/Smarty/templates/default/products/review_complete.tpl	(revision 17334)
@@ -1,7 +1,6 @@
-<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--{*
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -21,23 +20,6 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  *}-->
-<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="Content-Script-Type" content="text/javascript" />
-<meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.SITE_URL}-->/rss/index.php" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<meta name="author" content="<!--{$arrPageLayout.author|escape}-->" />
-<meta name="description" content="<!--{$arrPageLayout.description|escape}-->" />
-<meta name="keywords" content="<!--{$arrPageLayout.keyword|escape}-->" />
-<title><!--{$arrSiteInfo.shop_name}-->/お客様の声書き込み（完了ページ）</title>
-</head>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="お客様の声書き込み（完了ページ）"}-->
 
-<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
-<div id="windowcolumn">
   <div id="windowarea">
     <h2><img src="<!--{$TPL_DIR}-->img/products/review_title.jpg" width="500" height="40" alt="お客様の声書き込み" /></h2>
@@ -53,4 +35,3 @@
 </div>
 
-</body>
-</html>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
Index: /branches/version-2/data/Smarty/templates/default/products/review_confirm.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/products/review_confirm.tpl	(revision 17049)
+++ /branches/version-2/data/Smarty/templates/default/products/review_confirm.tpl	(revision 17334)
@@ -1,7 +1,6 @@
-<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--{*
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -21,23 +20,6 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  *}-->
-<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="Content-Script-Type" content="text/javascript" />
-<meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.SITE_URL}-->/rss/index.php" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<meta name="author" content="<!--{$arrPageLayout.author|escape}-->" />
-<meta name="description" content="<!--{$arrPageLayout.description|escape}-->" />
-<meta name="keywords" content="<!--{$arrPageLayout.keyword|escape}-->" />
-<title><!--{$arrSiteInfo.shop_name}-->/お客様の声書き込み（確認ページ）</title>
-</head>
-<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
-<a name="top" id="top"></a>
-<div id="windowcolumn">
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="お客様の声書き込み（確認ページ）"}-->
+
   <div id="windowarea">
     <h2><img src="<!--{$TPL_DIR}-->img/products/review_title.jpg" width="500" height="40" alt="お客様の声書き込み" /></h2>
@@ -86,5 +68,4 @@
       </form>
     </div>
-  </div>
-</body>
-</html>
+
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
Index: /branches/version-2/data/Smarty/templates/default/products/review.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/products/review.tpl	(revision 17049)
+++ /branches/version-2/data/Smarty/templates/default/products/review.tpl	(revision 17334)
@@ -1,7 +1,7 @@
-<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--{*
+/*
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -20,25 +20,8 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
  *}-->
-<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="Content-Script-Type" content="text/javascript" />
-<meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.SITE_URL}-->/rss/index.php" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<meta name="author" content="<!--{$arrPageLayout.author|escape}-->" />
-<meta name="description" content="<!--{$arrPageLayout.description|escape}-->" />
-<meta name="keywords" content="<!--{$arrPageLayout.keyword|escape}-->" />
-<title><!--{$arrSiteInfo.shop_name}-->/お客様の声書き込み（入力ページ）</title>
-</head>
-<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
-<a name="top" id="top"></a>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="お客様の声書き込み（入力ページ）"}-->
 
-<div id="windowcolumn">
   <div id="windowarea">
     <h2><img src="<!--{$TPL_DIR}-->img/products/review_title.jpg" width="500" height="40" alt="お客様の声書き込み" /></h2>
@@ -100,5 +83,4 @@
       </form>
     </div>
-  </div>
-</body>
-</html>
+
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
Index: /branches/version-2/data/Smarty/templates/default/popup_header.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/popup_header.tpl	(revision 17334)
+++ /branches/version-2/data/Smarty/templates/default/popup_header.tpl	(revision 17334)
@@ -0,0 +1,44 @@
+<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!--{*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ *}-->
+<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
+<meta http-equiv="Content-Script-Type" content="text/javascript" />
+<meta http-equiv="Content-Style-Type" content="text/css" />
+<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<title><!--{$arrSiteInfo.shop_name}-->/<!--{$subtitle|escape}--></title>
+</head>
+
+<body onload="preLoadImg('<!--{$TPL_DIR}-->'); <!--{$tpl_onload}--> <!--{$tpl_start}-->">
+<noscript>
+  <p><em>JavaScriptを有効にしてご利用下さい.</em></p>
+</noscript>
+
+<a name="top" id="top"></a>
+
+<!--▼CONTENTS-->
+<!--{if !$disable_wincol}--><div id="windowcolumn"><!--{/if}-->
Index: /branches/version-2/data/Smarty/templates/default/popup_footer.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/popup_footer.tpl	(revision 17334)
+++ /branches/version-2/data/Smarty/templates/default/popup_footer.tpl	(revision 17334)
@@ -0,0 +1,24 @@
+<!--{*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ *}-->
+</div>
+</body>
+</html>
Index: /branches/version-2/data/Smarty/templates/default/input_zip.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/input_zip.tpl	(revision 17049)
+++ /branches/version-2/data/Smarty/templates/default/input_zip.tpl	(revision 17334)
@@ -1,7 +1,6 @@
-<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--{*
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -21,26 +20,6 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  *}-->
-<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="Content-Script-Type" content="text/javascript" />
-<meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.SITE_URL}-->/rss/index.php" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<title><!--{$arrSiteInfo.shop_name|escape}-->/住所検索</title>
-<meta name="author" content="<!--{$arrPageLayout.author|escape}-->" />
-<meta name="description" content="<!--{$arrPageLayout.description|escape}-->" />
-<meta name="keywords" content="<!--{$arrPageLayout.keyword|escape}-->" />
-</head>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="住所検索" disable_wincol=1}-->
 
-<body onload="preLoadImg('<!--{$TPL_DIR}-->'); <!--{$tpl_onload}--> <!--{$tpl_start}-->">
-<noscript>
-  <p>JavaScript を有効にしてご利用下さい.</p>
-</noscript>
-<!--▼CONTENTS-->
   <div id="zipsearchcolumn">
     <h2><img src="<!--{$TPL_DIR}-->img/common/zip_title.jpg" width="460" height="40" alt="住所検索" /></h2>
@@ -56,6 +35,5 @@
     </div>
     <div class="btn"><a href="javascript:window.close()" onmouseover="chgImg('<!--{$TPL_DIR}-->img/common/b_close_on.gif','b_close');" onmouseout="chgImg('<!--{$TPL_DIR}-->img/common/b_close.gif','b_close');"><img src="<!--{$TPL_DIR}-->img/common/b_close.gif" width="140" height="30" alt="閉じる" border="0" name="b_close" /></a></div>
-<!--▲CONTENTS-->
   </div>
-</body>
-</html>
+
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->