Index: branches/comu-ver2/data/Smarty/templates/default/admin/ownersstore/products_list.tpl
===================================================================
--- branches/comu-ver2/data/Smarty/templates/default/admin/ownersstore/products_list.tpl	(revision 17193)
+++ branches/comu-ver2/data/Smarty/templates/default/admin/ownersstore/products_list.tpl	(revision 17351)
@@ -1,20 +1,42 @@
-<table width="678" border="0" cellspacing="1" cellpadding="4" summary=" ">
-    <tr bgcolor="#f2f1ec" align="center" class="fs12n">
-        <td width="">ロゴ</td>
-        <td width="">商品名</td>
-        <td width="">導入バージョン</td>
-        <td width="">インストール</td>
-        <td width="">設定</td>
-        <td width="">購入ステータス</td>
+﻿<!--{*
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2008 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+*}-->
+<table id="ownersstore-products-list" class="list center">
+    <tr>
+        <th>ロゴ</th>
+        <th>商品名</th>
+        <th>導入バージョン</th>
+        <th>インストール</th>
+        <th>設定</th>
+        <th>購入ステータス</th>
     </tr>
 <!--{foreach from=$arrProducts item=product name=products_list_loop}-->
-    <tr bgcolor="#ffffff" class="fs12">
-        <td align="center">
-            <a href="<!--{$smarty.const.OSTORE_URL}-->products/detail.php?product_id=<!--{$product.product_id|escape}-->"
-               target="_blank">
-                <img src="<!--{$smarty.const.OSTORE_SSLURL}-->resize.php?image=<!--{$product.main_list_image|escape}-->&width=50&height=50">
+    <tr>
+        <td>
+            <a href="<!--{$smarty.const.OSTORE_URL}-->products/detail.php?product_id=<!--{$product.product_id|escape}-->" target="_blank">
+                <img src="<!--{$smarty.const.OSTORE_SSLURL}-->resize.php?image=<!--{$product.main_list_image|escape}-->&width=50&height=50" />
             </a>
         </td>
-        <td align="center">
+        <td>
             <p>
                 <a href="<!--{$smarty.const.OSTORE_URL}-->products/detail.php?product_id=<!--{$product.product_id|escape}-->" target="_blank">
@@ -24,8 +46,8 @@
             <p>Version.<!--{$product.version|default:"--"}-->　<!--{$product.last_update_date|sfDispDBDate:false|escape}--></p>
         </td>
-        <td align="center">
-            <div id="ownersstore_version<!--{$product.product_id|escape}-->">
+        <td>
+          <div id="ownersstore_version<!--{$product.product_id|escape}-->">
             <!--{$product.installed_version|default:"--"|escape}-->
-            </div>
+          </div>
         </td>
         
@@ -33,15 +55,15 @@
         <!--{if $product.download_flg}-->
         
-        <td align="center">
+        <td>
             <div id="ownersstore_download<!--{$product.product_id|escape}-->">
-            <!--{*  新バージョンが公開している場合 はアップデートボタン表示 *}-->
+            <!--{* 新バージョンが公開している場合 はアップデートボタン表示 *}-->
             <!--{if $product.version_up_flg}-->
                 <span class="icon_confirm">
-                <a href="" onclick="OwnersStore.download(<!--{$product.product_id|escape}-->);return false;">アップデート</a>
+                <a href="#" onclick="OwnersStore.download(<!--{$product.product_id|escape}-->);return false;">アップデート</a>
                 </span>
-            <!--{* それ以外はならダウンロードボタン表示 *}-->
+            <!--{* それ以外ならダウンロードボタン表示 *}-->
             <!--{else}-->
                 <span class="icon_confirm">
-                <a href="" onclick="OwnersStore.download(<!--{$product.product_id|escape}-->);return false;">ダウンロード</a>
+                <a href="#" onclick="OwnersStore.download(<!--{$product.product_id|escape}-->);return false;">ダウンロード</a>
                 </span>
             <!--{/if}-->
@@ -49,9 +71,9 @@
         </td>
             
-        <td align="center">
+        <td>
             <!--{* インストール済みなら設定ボタン表示 *}-->
             <!--{if $product.installed_flg}-->
                 <span class="icon_confirm">
-                <a href="" onclick="win02('../load_module_config.php?module_id=<!--{$product.product_id}-->', 'load', 600, 400);return false;">
+                <a href="#" onclick="win02('../load_module_config.php?module_id=<!--{$product.product_id}-->', 'load', 600, 400);return false;">
                    設定
                 </a>
@@ -60,5 +82,5 @@
                 <div id='ownersstore_settings<!--{$product.product_id|escape}-->' style="display:none">
                 <span class="icon_confirm">
-                <a href="" onclick="win02('../load_module_config.php?module_id=<!--{$product.product_id}-->', 'load', 600, 400);return false;">
+                <a href="#" onclick="win02('../load_module_config.php?module_id=<!--{$product.product_id}-->', 'load', 600, 400);return false;">
                    設定
                 </a>
@@ -71,9 +93,9 @@
         <!--{else}-->
         
-        <td align="center">--</td>
-        <td align="center">--</td>
+        <td>--</td>
+        <td>--</td>
         <!--{/if}-->
         
-        <td align="center"><!--{$product.status|escape|nl2br}--></td>
+        <td><!--{$product.status|escape|nl2br}--></td>
     </tr>
 <!--{/foreach}-->