Index: /branches/comu-ver2/data/Smarty/templates/default/admin/products/product_class.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/products/product_class.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/products/product_class.tpl	(revision 17364)
@@ -22,5 +22,6 @@
  */
 *}-->
-?<form name="form1" id="form1" method="post" action="">
+<h2>商品規格登録</h2>
+<form name="form1" id="form1" method="post" action="">
 <!--{foreach key=key item=item from=$arrSearchHidden}-->
 <input type="hidden" name="<!--{$key}-->" value="<!--{$item|escape}-->" />
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/products/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/products/index.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/products/index.tpl	(revision 17364)
@@ -27,5 +27,5 @@
   inner_id = 'switch';
 
-  cnt = form1.item_cnt.value;
+  cnt = document.form1.item_cnt.value;
   
   if($('#disp_url1').css("display") == 'none'){
@@ -188,19 +188,21 @@
   <table class="list" id="products-search-result">
     <tr>
-      <th>商品ID</th>
-      <th>商品画像</th>
-      <th>商品コード</th>
-      <th>価格(円)</th>
+      <th rowspan="2">商品ID</th>
+      <th rowspan="2">商品画像</th>
+      <th rowspan="2">商品コード</th>
+      <th rowspan="2">価格(円)</th>
       <th>商品名</th>
-      <th>カテゴリ <a href="#" onClick="lfnDispChange();"> >> URL表示</a></th>
-      <th>在庫</th>
-      <th>種別</th>
-      <th>編集</th>
-      <th>確認</th>
+      <th rowspan="2">在庫</th>
+      <th rowspan="2">種別</th>
+      <th rowspan="2">編集</th>
+      <th rowspan="2">確認</th>
       <!--{if $smarty.const.OPTION_CLASS_REGIST == 1}-->
-      <th>規格</th>
+      <th rowspan="2">規格</th>
       <!--{/if}-->
-      <th>削除</th>
-      <th>複製</th>
+      <th rowspan="2">削除</th>
+      <th rowspan="2">複製</th>
+    </tr>
+    <tr>
+      <th><a href="#" onClick="lfnDispChange(); return false;">カテゴリ ⇔ URL</a></th>
     </tr>
 
@@ -209,15 +211,15 @@
     <!--{assign var=status value="`$arrProducts[cnt].status`"}-->
     <tr style="background:<!--{$arrPRODUCTSTATUS_COLOR[$status]}-->;">
-      <td><!--{$arrProducts[cnt].product_id}--></td>
-      <td>
-      <!--{if $arrProducts[cnt].main_list_image != ""}-->
-        <!--{assign var=image_path value="`$arrProducts[cnt].main_list_image`"}-->
-      <!--{else}-->
-        <!--{assign var=image_path value="`$smarty.const.NO_IMAGE_DIR`"}-->
-      <!--{/if}-->
+      <td rowspan="2"><!--{$arrProducts[cnt].product_id}--></td>
+      <td rowspan="2">
+        <!--{if $arrProducts[cnt].main_list_image != ""}-->
+          <!--{assign var=image_path value="`$arrProducts[cnt].main_list_image`"}-->
+        <!--{else}-->
+          <!--{assign var=image_path value="`$smarty.const.NO_IMAGE_DIR`"}-->
+        <!--{/if}-->
       <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$image_path|sfRmDupSlash}-->&amp;width=65&amp;height=65">
       </td>
-      <td><!--{$arrProducts[cnt].product_code|escape|default:"-"}--></td>
-      <td class="right">
+      <td rowspan="2"><!--{$arrProducts[cnt].product_code|escape|default:"-"}--></td>
+      <td rowspan="2" class="right">
         <!--{* 価格 *}-->
         <!--{if $arrProducts[cnt].price02 != ""}-->
@@ -228,4 +230,24 @@
       </td>
       <td><!--{$arrProducts[cnt].name|escape}--></td>
+      <td rowspan="2">
+        <!--{* 在庫 *}-->
+        <!--{if $arrProducts[cnt].stock_unlimited == '1'}-->
+        無制限
+        <!--{else}-->
+        <!--{$arrProducts[cnt].stock|escape|default:"-"}-->
+        <!--{/if}-->
+      </td>
+      <!--{* 表示 *}-->
+      <!--{assign var=key value=$arrProducts[cnt].status}-->
+      <td rowspan="2"><!--{$arrDISP[$key]}--></td>
+      <td rowspan="2"><span class="icon_edit"><a href="<!--{$smarty.const.URL_DIR}-->" onclick="fnChangeAction('./product.php'); fnModeSubmit('pre_edit', 'product_id', <!--{$arrProducts[cnt].product_id}-->); return false;" >編集</a></span></td>
+      <td rowspan="2"><span class="icon_confirm"><a href="<!--{$smarty.const.SITE_URL|sfTrimURL}-->/products/detail.php?product_id=<!--{$arrProducts[cnt].product_id}-->&amp;admin=on" target="_blank">確認</a></span></td>
+      <!--{if $smarty.const.OPTION_CLASS_REGIST == 1}-->
+      <td rowspan="2"><span class="icon_class"><a href="<!--{$smarty.const.URL_DIR}-->" onclick="fnChangeAction('./product_class.php'); fnModeSubmit('pre_edit', 'product_id', <!--{$arrProducts[cnt].product_id}-->); return false;" >規格</a></span></td>
+      <!--{/if}-->
+      <td rowspan="2"><span class="icon_delete"><a href="<!--{$smarty.const.URL_DIR}-->" onclick="fnSetFormValue('category_id', '<!--{$arrProducts[cnt].category_id}-->'); fnModeSubmit('delete', 'product_id', <!--{$arrProducts[cnt].product_id}-->); return false;">削除</a></span></td>
+      <td rowspan="2"><span class="icon_copy"><a href="<!--{$smarty.const.URL_DIR}-->" onclick="fnChangeAction('./product.php'); fnModeSubmit('copy', 'product_id', <!--{$arrProducts[cnt].product_id}-->); return false;" >複製</a></span></td>
+    </tr>
+    <tr>
       <td>
         <!--{* カテゴリ名 *}-->
@@ -242,22 +264,4 @@
         </div>
       </td>
-      <td>
-        <!--{* 在庫 *}-->
-        <!--{if $arrProducts[cnt].stock_unlimited == '1'}-->
-        無制限
-        <!--{else}-->
-        <!--{$arrProducts[cnt].stock|escape|default:"-"}-->
-        <!--{/if}-->
-      </td>
-      <!--{* 表示 *}-->
-      <!--{assign var=key value=$arrProducts[cnt].status}-->
-      <td><!--{$arrDISP[$key]}--></td>
-      <td><span class="icon_edit"><a href="<!--{$smarty.const.URL_DIR}-->" onclick="fnChangeAction('./product.php'); fnModeSubmit('pre_edit', 'product_id', <!--{$arrProducts[cnt].product_id}-->); return false;" >編集</a></span></td>
-      <td><span class="icon_confirm"><a href="<!--{$smarty.const.SITE_URL|sfTrimURL}-->/products/detail.php?product_id=<!--{$arrProducts[cnt].product_id}-->&amp;admin=on" target="_blank">確認</a></span></td>
-      <!--{if $smarty.const.OPTION_CLASS_REGIST == 1}-->
-      <td><span class="icon_class"><a href="<!--{$smarty.const.URL_DIR}-->" onclick="fnChangeAction('./product_class.php'); fnModeSubmit('pre_edit', 'product_id', <!--{$arrProducts[cnt].product_id}-->); return false;" >規格</a></span></td>
-      <!--{/if}-->
-      <td><span class="icon_delete"><a href="<!--{$smarty.const.URL_DIR}-->" onclick="fnSetFormValue('category_id', '<!--{$arrProducts[cnt].category_id}-->'); fnModeSubmit('delete', 'product_id', <!--{$arrProducts[cnt].product_id}-->); return false;">削除</a></span></td>
-      <td><span class="icon_copy"><a href="<!--{$smarty.const.URL_DIR}-->" onclick="fnChangeAction('./product.php'); fnModeSubmit('copy', 'product_id', <!--{$arrProducts[cnt].product_id}-->); return false;" >複製</a></span></td>
     </tr>
     <!--▲商品<!--{$smarty.section.cnt.iteration}-->-->
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/edit.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/edit.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/edit.tpl	(revision 17364)
@@ -323,6 +323,6 @@
       <input type="hidden" name="classcategory_id2[<!--{$key}-->]" value="<!--{$arrForm.classcategory_id2.value[$key]}-->" id="classcategory_id2_<!--{$key}-->" />
       </td>
-      <td> 円</td>
-      <td></td>
+      <td align="center"><input type="text" name="price[<!--{$key}-->]" value="<!--{$arrForm.price.value[$key]|escape}-->" size="6" class="box6" maxlength="<!--{$arrForm.price.length}-->" id="price_<!--{$key}-->"/> 円</td>
+      <td align="center"><input type="text" name="quantity[<!--{$key}-->]" value="<!--{$arrForm.quantity.value[$key]|escape}-->" size="3" class="box3" maxlength="<!--{$arrForm.quantity.length}-->"/></td>
       <!--{assign var=price value=`$arrForm.price.value[$key]`}-->
       <!--{assign var=quantity value=`$arrForm.quantity.value[$key]`}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/index.tpl	(revision 17361)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/index.tpl	(revision 17364)
@@ -286,5 +286,8 @@
       <td class="center"><!--{$arrResults[cnt].commit_date|sfDispDBDate|default:"未発送"}--></td>
       <td class="center"><!--{$arrORDERSTATUS[$status]}--></td>
-      <td class="center"><a href="./" onClick="win02('pdf.php?order_id=<!--{$arrResults[cnt].order_id}-->','pdf_input','500','650'); return false;"><span class="icon_class">帳票</span></a></td>
+      <td class="center">
+        <input type="checkbox" name="pdf_order_id[]" value="<!--{$arrResults[cnt].order_id}-->" id="pdf_order_id_<!--{$arrResults[cnt].order_id}-->"/><label for="pdf_order_id_<!--{$arrResults[cnt].order_id}-->">一括出力</label>&nbsp;
+        <a href="./" onClick="win02('pdf.php?order_id=<!--{$arrResults[cnt].order_id}-->','pdf_input','500','650'); return false;"><span class="icon_class">個別出力</span></a>
+      </td>
       <td class="center"><a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnChangeAction('<!--{$smarty.const.URL_ORDER_EDIT}-->'); fnModeSubmit('pre_edit', 'order_id', '<!--{$arrResults[cnt].order_id}-->'); return false;"><span class="icon_edit">編集</span></a></td>
       <td class="center"><a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnChangeAction('<!--{$smarty.const.URL_ORDER_MAIL}-->'); fnModeSubmit('pre_edit', 'order_id', '<!--{$arrResults[cnt].order_id}-->'); return false;"><span class="icon_mail">通知</span></a></td>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/pdf_input.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/pdf_input.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/pdf_input.tpl	(revision 17364)
@@ -39,5 +39,7 @@
 <form name="form1" id="form1" method="post" action="<!--{$smarty.server.PHP_SELF}-->">
 <input type="hidden" name="mode" value="confirm" />
-<input type="hidden" name="order_id" value="<!--{$arrForm.order_id}-->" />
+<!--{foreach from=$arrForm.order_id item=order_id}-->
+<input type="hidden" name="order_id[]" value="<!--{$order_id}-->">
+<!--{/foreach}-->
 <input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->" />
 
@@ -47,5 +49,9 @@
     <tr>
       <th>受注番号</th>
-      <td><!--{$arrForm.order_id}--></td>
+      <td>
+        <!--{foreach from=$arrForm.order_id item=order_id}-->
+        <!--{$order_id}-->,
+        <!--{/foreach}-->
+      </td>
     </tr>
     <tr>
Index: /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 16741)
+++ /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 17364)
@@ -26,5 +26,5 @@
 
 /**
- * 商品登録(規格)のページクラス.
+ * 商品登録(商品規格)のページクラス.
  *
  * @package Page