Index: /branches/comu-ver2/html/user_data/packages/default/css/admin_contents.css
===================================================================
--- /branches/comu-ver2/html/user_data/packages/default/css/admin_contents.css	(revision 17351)
+++ /branches/comu-ver2/html/user_data/packages/default/css/admin_contents.css	(revision 17365)
@@ -2,4 +2,9 @@
 
 * { margin: 0; padding: 0; }
+
+/* 上記による Fierfox 2 崩れ対応 */
+option {
+    margin-right: 0.5em;
+}
 
 html {height: 100%;}
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/contents/csv.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/contents/csv.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/contents/csv.tpl	(revision 17365)
@@ -191,6 +191,6 @@
       <td>
         <div class="btn">
-          <button type="button" onClick="fnReplaceOption('choice_list[]', 'output_list[]');"><span><< 追加</span></button><br/>
-          <button type="button" onClick="fnReplaceOption('output_list[]', 'choice_list[]');"><span>削除 >></span></button>
+          <button type="button" onClick="fnReplaceOption('choice_list[]', 'output_list[]');"><< 追加</button><br/>
+          <button type="button" onClick="fnReplaceOption('output_list[]', 'choice_list[]');">削除 &gt;&gt;</button>
         </div>
       </td>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/basis/seo.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/basis/seo.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/basis/seo.tpl	(revision 17365)
@@ -30,5 +30,5 @@
     <input type="hidden" name="disp_flg<!--{$item.page_id}-->" value="<!--{$disp_flg[$item.page_id]}-->" />
     <!-- <!--{$item.page_name}--> ここから -->
-    <h2><!--{$item.page_name}--> <!--{$item.url}--><a href="#" id="switch<!--{$item.page_id}-->" style="float:right " onClick="fnDispChange('disp<!--{$item.page_id}-->', 'switch<!--{$item.page_id}-->', 'disp_flg<!--{$item.page_id}-->');"><!--{if $disp_flg[$item.page_id] == ""}--> >> 非表示<!--{else}--> << 表示<!--{/if}--></a></h2>
+    <h2><!--{$item.page_name}--> <!--{$item.url}--><a href="#" id="switch<!--{$item.page_id}-->" style="float:right " onClick="fnDispChange('disp<!--{$item.page_id}-->', 'switch<!--{$item.page_id}-->', 'disp_flg<!--{$item.page_id}-->');"><!--{if $disp_flg[$item.page_id] == ""}--> &gt;&gt; 非表示<!--{else}--> << 表示<!--{/if}--></a></h2>
     
     <div id="disp<!--{$item.page_id}-->" style="display:<!--{$disp_flg[$item.page_id]}-->">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/basis/delivery.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/basis/delivery.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/basis/delivery.tpl	(revision 17365)
@@ -28,5 +28,5 @@
   <h2>配送業者登録</h2>
 
-  <table>
+  <table class="list">
     <tr>
       <th>配送業者</th>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/customer/edit.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/customer/edit.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/customer/edit.tpl	(revision 17365)
@@ -190,5 +190,5 @@
       <td>
         <span class="attention"><!--{$arrErr.password}--></span>
-        <input type="password" name="password" value="<!--{$list_data.password|escape}-->" size="30" class="box30" <!--{if $arrErr.password != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> />　半角英数小文字4?10文字（記号不可）
+        <input type="password" name="password" value="<!--{$list_data.password|escape}-->" size="30" class="box30" <!--{if $arrErr.password != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> />　半角英数小文字4～10文字（記号不可）
       </td>
     </tr>
@@ -242,5 +242,5 @@
 
   <h2>購入履歴一覧</h2>
-　<p><span class="attention"><!--購入履歴一覧--><!--{$tpl_linemax}-->件</span>&nbsp;が該当しました。</p>
+  <p><span class="attention"><!--購入履歴一覧--><!--{$tpl_linemax}-->件</span>&nbsp;が該当しました。</p>
 
   <!--{include file=$tpl_pager}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/customer/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/customer/index.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/customer/index.tpl	(revision 17365)
@@ -110,25 +110,25 @@
         <!--{if $arrErr.b_start_year || $arrErr.b_end_year}--><span class="attention"><!--{$arrErr.b_start_year}--><!--{$arrErr.b_end_year}--></span><br /><!--{/if}-->
         <select name="b_start_year" <!--{if $arrErr.b_start_year || $arrErr.b_end_year}--><!--{sfSetErrorStyle}--><!--{/if}-->>
-          <option value="" selected="selected">------</option>
+          <option value="" selected="selected">----</option>
           <!--{html_options options=$arrYear selected=$arrForm.b_start_year}-->
         </select>年
         <select name="b_start_month" <!--{if $arrErr.b_start_year || $arrErr.b_end_year}--><!--{sfSetErrorStyle}--><!--{/if}-->>
-          <option value="" selected="selected">----</option>
+          <option value="" selected="selected">--</option>
           <!--{html_options options=$arrMonth selected=$arrForm.b_start_month}-->
         </select>月
         <select name="b_start_day" <!--{if $arrErr.b_start_year || $arrErr.b_end_year}--><!--{sfSetErrorStyle}--><!--{/if}-->>
-          <option value="" selected="selected">----</option>
+          <option value="" selected="selected">--</option>
           <!--{html_options options=$arrDay selected=$arrForm.b_start_day}-->
         </select>日～
         <select name="b_end_year" <!--{if $arrErr.b_start_year || $arrErr.b_end_year}--><!--{sfSetErrorStyle}--><!--{/if}-->>
-          <option value="" selected="selected">------</option>
+          <option value="" selected="selected">----</option>
           <!--{html_options options=$arrYear selected=$arrForm.b_end_year}-->
         </select>年
         <select name="b_end_month" <!--{if $arrErr.b_start_year || $arrErr.b_end_year}--><!--{sfSetErrorStyle}--><!--{/if}-->>
-          <option value="" selected="selected">----</option>
+          <option value="" selected="selected">--</option>
           <!--{html_options options=$arrMonth selected=$arrForm.b_end_month}-->
         </select>月
         <select name="b_end_day" <!--{if $arrErr.b_start_year || $arrErr.b_end_year}--><!--{sfSetErrorStyle}--><!--{/if}-->>
-          <option value="" selected="selected">----</option>
+          <option value="" selected="selected">--</option>
           <!--{html_options options=$arrDay selected=$arrForm.b_end_day}-->
         </select>日
@@ -229,5 +229,5 @@
     </tr>
     <tr>
-      <th>購入商品<br />コード</th>
+      <th>購入商品コード</th>
       <td>
         <!--{if $arrErr.buy_product_code}--><span class="attention"><!--{$arrErr.buy_product_code}--></span><!--{/if}-->
@@ -279,8 +279,8 @@
     <!--検索結果-->
     <!--{if $smarty.const.ADMIN_MODE == '1'}-->
-    <button type="button" onclick="fnModeSubmit('delete_all','','');"><span>検索結果をすべて削除</span></button>
+    <button type="button" onclick="fnModeSubmit('delete_all','','');">検索結果をすべて削除</button>
     <!--{/if}-->
-    <button type="button" onclick="fnModeSubmit('csv','','');"><span>CSV DOWNLOAD</span></button>
-    <a href="../contents/csv.php?tpl_subno_csv=customer"> >> CSV出力項目設定</a>
+    <button type="button" onclick="fnModeSubmit('csv','','');">CSV DOWNLOAD</button>
+    <a href="../contents/csv.php?tpl_subno_csv=customer"> &gt;&gt; CSV出力項目設定</a>
   </p>
   <!--{include file=$tpl_pager}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/products/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/products/index.tpl	(revision 17364)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/products/index.tpl	(revision 17365)
@@ -37,5 +37,5 @@
       $('#' + disp_id).css("display", "none");
       
-      $('#' + inner_id).html('  URL <a href="#" onClick="lfnDispChange();"> >> カテゴリ表示<\/a>');
+      $('#' + inner_id).html('  URL <a href="#" onClick="lfnDispChange();"> &gt;&gt; カテゴリ表示<\/a>');
     }
   }else{
@@ -47,5 +47,5 @@
       $('#' + disp_id).css("display", "");
       
-      $('#' + inner_id).html('  カテゴリ <a href="#" onClick="lfnDispChange();"> >> URL表示<\/a>');
+      $('#' + inner_id).html('  カテゴリ <a href="#" onClick="lfnDispChange();"> &gt;&gt; URL表示<\/a>');
     }
   }
@@ -177,8 +177,8 @@
     <!--検索結果-->
     <!--{if $smarty.const.ADMIN_MODE == '1'}-->
-    <button type="button" onclick="fnModeSubmit('delete_all','','');"><span>検索結果をすべて削除</span></button>
+    <button type="button" onclick="fnModeSubmit('delete_all','','');">検索結果をすべて削除</button>
     <!--{/if}-->
-    <button type="button" onclick="fnModeSubmit('csv','','');"><span>CSV DOWNLOAD</span></button>
-    <a href="../contents/csv.php?tpl_subno_csv=product"> >> CSV出力項目設定</a>
+    <button type="button" onclick="fnModeSubmit('csv','','');">CSV DOWNLOAD</button>
+    <a href="../contents/csv.php?tpl_subno_csv=product"> &gt;&gt; CSV出力項目設定</a>
   </p>
   <!--{include file=$tpl_pager}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/products/category.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/products/category.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/products/category.tpl	(revision 17365)
@@ -30,6 +30,6 @@
 
   <div class="btn">
-    <button type="button" onclick="fnModeSubmit('csv','','');"><span>CSV DOWNLOAD</span></button>
-    <a href="../contents/csv.php?tpl_subno_csv=category"><span> >> CSV出力項目設定 </span></a>
+    <button type="button" onclick="fnModeSubmit('csv','','');">CSV DOWNLOAD</button>
+    <a href="../contents/csv.php?tpl_subno_csv=category">&gt;&gt; CSV出力項目設定</a>
   </div>
 
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/design/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/design/index.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/design/index.tpl	(revision 17365)
@@ -164,5 +164,5 @@
 
   <table class="list center">
-  <!--{foreach key=key item=item from=$arrEditPage}-->
+  <!--{foreach item=item from=$arrEditPage}-->
     <tr style="background-color:<!--{if $item.page_id == $page_id}--><!--{$smarty.const.SELECT_RGB}--><!--{else}-->#ffffff<!--{/if}-->;">
       <td>
@@ -170,13 +170,9 @@
       </td>
       <td>
-        <div class="btn">
-          <button type='button' onclick="location.href='./main_edit.php?page_id=<!--{$item.page_id}-->'"><span>メイン編集</span></button>
-        </div>
+        <button type='button' onclick="location.href='./main_edit.php?page_id=<!--{$item.page_id}-->'"><span>メイン編集</span></button>
       </td>
       <td>
         <!--{if $item.edit_flg == 1}-->
-        <div class="btn">
           <button type='button' onclick="fnTargetSelf(); fnFormModeSubmit('form1','delete','','');"><span>削除</span></button>
-        </div>
         <!--{/if}-->
       </td>
@@ -191,5 +187,5 @@
 
 
-<!--{foreach key=key item=item from=$tpl_arrBloc name="bloc_loop"}-->
+<!--{foreach item=item from=$tpl_arrBloc name="bloc_loop"}-->
 <div align="center" target_id="<!--{$item.target_id}-->" did="<!--{$smarty.foreach.bloc_loop.iteration}-->" class="dragged_elm" id="<!--{$item.target_id}-->"
    style="left:350px; top:0px; filter: alpha(opacity=100); opacity: 1; width: 120px;">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/index.tpl	(revision 17364)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/index.tpl	(revision 17365)
@@ -242,6 +242,6 @@
     <button type="button" onclick="fnModeSubmit('delete_all','','');"><span>検索結果をすべて削除</span></button>
     <!--{/if}-->
-    <button type="button" onclick="fnModeSubmit('csv','','');"><span>CSV DOWNLOAD</span></button>
-    <a href="../contents/csv.php?tpl_subno_csv=order"><span> >> CSV出力項目設定 </span></a>
+    <button type="button" onclick="fnModeSubmit('csv','','');">CSV DOWNLOAD</button>
+    <a href="../contents/csv.php?tpl_subno_csv=order">&gt;&gt; CSV出力項目設定</a>
     <button type="button" onclick="fnSelectCheckSubmit();"><span>PDF一括出力</span></button>
   </p>
@@ -267,6 +267,6 @@
       <th>
         帳票<br />
-        <button type="button" onclick="fnBoxChecked(true);"><span>全て選択</span></button>
-        <button type="button" onclick="fnBoxChecked(false);"><span>全て解除</span></button>
+        <button type="button" onclick="fnBoxChecked(true);">全て選択</button>
+        <button type="button" onclick="fnBoxChecked(false);">全て解除</button>
       </th>
       <th>編集</th>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/pdf_input.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/pdf_input.tpl	(revision 17364)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/pdf_input.tpl	(revision 17365)
@@ -49,9 +49,5 @@
     <tr>
       <th>受注番号</th>
-      <td>
-        <!--{foreach from=$arrForm.order_id item=order_id}-->
-        <!--{$order_id}-->,
-        <!--{/foreach}-->
-      </td>
+      <td><!--{$arrForm.order_id|@join:', '}--></td>
     </tr>
     <tr>