Index: /branches/comu-ver2/html/user_data/packages/default/css/admin_contents.css
===================================================================
--- /branches/comu-ver2/html/user_data/packages/default/css/admin_contents.css	(revision 17417)
+++ /branches/comu-ver2/html/user_data/packages/default/css/admin_contents.css	(revision 17422)
@@ -41,5 +41,5 @@
     border-bottom: 3px solid #CCCCCC;
     margin: 0 0 10px 0;
-    padding: 3px 10px;
+    padding: 3px 0;
     color: #DD7010;
 }
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/status.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/status.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/status.tpl	(revision 17422)
@@ -28,5 +28,15 @@
 <input type="hidden" name="order_id" value="" />
 <div id="order" class="contents-main">
-  <h2>ステータス管理</h2>
+  <h2>抽出条件</h2>
+    <!--{foreach key=key item=item from=$arrORDERSTATUS}-->
+      <a
+        style="padding-right: 1em;"
+        <!--{if $key != $SelectedStatus}-->
+          href="#"
+          onclick="document.form1.search_pageno.value='1'; fnModeSubmit('search','status','<!--{$key}-->' );"
+        <!--{/if}-->
+      ><!--{$item}--></a>
+    <!--{/foreach}-->
+  <h2>編集</h2>
   <!--{* 登録テーブルここから *}-->
   <!--{if $tpl_linemax > 0 }-->
@@ -41,5 +51,5 @@
       <option value="delete">削除</option>
     </select>
-    <button type="button" onclick="fnSelectCheckSubmit();"><span>反映</span></button>
+    <button type="button" onclick="fnSelectCheckSubmit();"><span>移動</span></button>
   </div>
 
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/subnavi.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/subnavi.tpl	(revision 17421)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/subnavi.tpl	(revision 17422)
@@ -22,9 +22,4 @@
  */
 *}-->
-<form name="subFormStatus" id="subFormStatus" method="post" action="<!--{$smarty.const.URL_DIR}-->admin/order/status.php" >
-<input type="hidden" name="mode" value="" />
-<input type="hidden" name="status" value="<!--{if $arrForm.status == ""}-->1<!--{else}--><!--{$arrForm.status}--><!--{/if}-->" />
-<input type="hidden" name="search_pageno" value="<!--{$tpl_pageno}-->" />
-<input type="hidden" name="order_id" value="" />
 <ul id="navi-order" class="level1">
     <li id="navi-order-index"
@@ -36,13 +31,4 @@
     <li id="navi-order-status"
         class="<!--{if $tpl_mainno == 'order' && $tpl_subno == 'status'}-->on<!--{/if}-->"
-    ><a href="<!--{$smarty.const.URL_DIR}-->admin/order/status.php"><span>ステータス管理</span></a>
-        <ul id="navi-status-sub" class="level2">
-            <!--{foreach key=key item=item from=$arrORDERSTATUS}-->
-                <li id="navi-status-<!--{$key}-->"
-                    class="<!--{if $tpl_mainno == 'order' && $tpl_subno == 'status' && ($key == $SelectedStatus || $key == $defaultstatus)}-->on<!--{/if}-->"
-                ><a href="#" onclick="document.form1.search_pageno.value='1'; fnModeSubmit('search','status','<!--{$key}-->' );"><span><!--{$item}--></span></a></li>
-            <!--{/foreach}-->
-        </ul>
-    </li>
+    ><a href="<!--{$smarty.const.URL_DIR}-->admin/order/status.php"><span>ステータス管理</span></a></li>
 </ul>
-</form>
Index: /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 17376)
+++ /branches/comu-ver2/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 17422)
@@ -48,4 +48,5 @@
         $this->tpl_mainno = 'order';
         $this->tpl_subno = 'status';
+        $this->tpl_subtitle = 'ステータス管理';
 
         $masterData = new SC_DB_MasterData_Ex();