Index: /branches/comu-ver2/data/Smarty/templates/default/admin/main_frame.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/main_frame.tpl	(revision 17423)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/main_frame.tpl	(revision 17425)
@@ -72,41 +72,41 @@
   </p>
   <ul id="navi">
-    <li id="navi-basis" <!--{if $tpl_mainno eq "basis"}--> class="on"<!--{/if}-->>
+    <li id="navi-basis" class="<!--{if $tpl_mainno eq "basis"}-->on<!--{/if}-->">
       <a href="<!--{$smarty.const.URL_DIR}-->admin/basis/index.php"><span>基本情報管理</span></a>
       <!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`basis/subnavi.tpl"}-->
     </li>
-    <li id="navi-products" <!--{if $tpl_mainno eq "products"}--> class="on"<!--{/if}-->>
+    <li id="navi-products" class="<!--{if $tpl_mainno eq "products"}-->on<!--{/if}-->">
       <a href="<!--{$smarty.const.URL_DIR}-->admin/products/index.php"><span>商品管理</span></a>
       <!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`products/subnavi.tpl"}-->
     </li>
-    <li id="navi-customer" <!--{if $tpl_mainno eq "customer"}--> class="on"<!--{/if}-->>
+    <li id="navi-customer" class="<!--{if $tpl_mainno eq "customer"}-->on<!--{/if}-->">
       <a href="<!--{$smarty.const.URL_DIR}-->admin/customer/index.php"><span>顧客管理</span></a>
       <!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`customer/subnavi.tpl"}-->
     </li>
-    <li id="navi-order" <!--{if $tpl_mainno eq "order"}--> class="on"<!--{/if}-->>
+    <li id="navi-order" class="<!--{if $tpl_mainno eq "order"}-->on<!--{/if}-->">
       <a href="<!--{$smarty.const.URL_DIR}-->admin/order/index.php"><span>受注管理</span></a>
       <!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`order/subnavi.tpl"}-->
     </li>
-    <li id="navi-total" <!--{if $tpl_mainno eq "total"}--> class="on"<!--{/if}-->>
+    <li id="navi-total" class="<!--{if $tpl_mainno eq "total"}-->on<!--{/if}-->">
       <a href="<!--{$smarty.const.URL_DIR}-->admin/total/index.php"><span>売上集計</span></a>
       <!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`total/subnavi.tpl"}-->
     </li>
-    <li id="navi-mail" <!--{if $tpl_mainno eq "mail"}--> class="on"<!--{/if}-->>
+    <li id="navi-mail" class="<!--{if $tpl_mainno eq "mail"}-->on<!--{/if}-->">
       <a href="<!--{$smarty.const.URL_DIR}-->admin/mail/index.php"><span>メルマガ管理</span></a>
       <!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`mail/subnavi.tpl"}-->
     </li>
-    <li id="navi-contents" <!--{if $tpl_mainno eq "contents"}--> class="on"<!--{/if}-->>
+    <li id="navi-contents" class="<!--{if $tpl_mainno eq "contents"}-->on<!--{/if}-->">
       <a href="<!--{$smarty.const.URL_DIR}-->admin/contents/index.php"><span>コンテンツ管理</span></a>
       <!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`contents/subnavi.tpl"}-->
     </li>
-    <li id="navi-design" <!--{if $tpl_mainno eq "design"}--> class="on"<!--{/if}-->>
+    <li id="navi-design" class="<!--{if $tpl_mainno eq "design"}-->on<!--{/if}-->">
       <a href="<!--{$smarty.const.URL_DIR}-->admin/design/index.php"><span>デザイン管理</span></a>
       <!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`design/subnavi.tpl"}-->
     </li>
-    <li id="navi-system" <!--{if $tpl_mainno eq "system"}--> class="on"<!--{/if}-->>
+    <li id="navi-system" class="<!--{if $tpl_mainno eq "system"}-->on<!--{/if}-->">
       <a href="<!--{$smarty.const.URL_DIR}-->admin/system/index.php"><span>システム設定</span></a>
       <!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`system/subnavi.tpl"}-->
     </li>
-    <li id="navi-ownersstore" <!--{if $tpl_mainno eq "ownersstore"}--> class="on"<!--{/if}-->>
+    <li id="navi-ownersstore" class="<!--{if $tpl_mainno eq "ownersstore"}-->on<!--{/if}-->">
       <a href="<!--{$smarty.const.URL_DIR}-->admin/ownersstore/index.php"><span>OWNERS STORE</span></a>
       <!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`ownersstore/subnavi.tpl"}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/contents/recomend_search.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/contents/recomend_search.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/contents/recomend_search.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="ECサイト管理者ページ"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
 <script type="text/javascript">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/contents/csv_sql_view.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/contents/csv_sql_view.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/contents/csv_sql_view.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="EC CUBE 管理者画面"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
 <table class="form">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/contents/campaign_create_tag.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/contents/campaign_create_tag.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/contents/campaign_create_tag.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="ECサイト管理者ページ"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
 <form name="form1" id="form1" method="post" action="<!--{$smarty.server.REQUEST_URI|escape}-->">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/basis/payment_input.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/basis/payment_input.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/basis/payment_input.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="ECサイト管理者ページ"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
 <script type="text/javascript">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/products/product_select.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/products/product_select.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/products/product_select.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="ECサイト管理者ページ"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
 <script type="text/javascript">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/disp.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/disp.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/disp.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="`$smarty.const.ADMIN_TITLE`"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
   <h2>受注詳細</h2>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/product_select.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/product_select.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/product_select.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="ECサイト管理者ページ"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
 <script type="text/javascript">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/pdf_input.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/pdf_input.tpl	(revision 17365)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/pdf_input.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="`$tpl_subtitle`"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
 <script type="text/javascript">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/mail_view.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/mail_view.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/mail_view.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="EC CUBE 管理者画面"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
 <table class="form">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/admin_popup_header.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/admin_popup_header.tpl	(revision 17397)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/admin_popup_header.tpl	(revision 17425)
@@ -43,5 +43,5 @@
 <!--{/if}-->
 <!--{include file='css/contents.tpl'}-->
-<title><!--{$subtitle}--></title>
+<title><!--{$smarty.const.ADMIN_TITLE}--> <!--{$tpl_subtitle}--></title>
 </head>
 
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/mail/query.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/mail/query.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/mail/query.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="ECサイト管理者ページ"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
 <script type="text/javascript">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/mail/htmlmail_select.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/mail/htmlmail_select.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/mail/htmlmail_select.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="ECサイト管理者ページ"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
 <script type="text/javascript">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/system/input.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/system/input.tpl	(revision 17351)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/system/input.tpl	(revision 17425)
@@ -22,5 +22,5 @@
  */
 *}-->
-<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl" subtitle="メンバー登録・編集"}-->
+<!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`admin_popup_header.tpl"}-->
 
 <script type="text/javascript">
Index: /branches/comu-ver2/data/class/pages/error/LC_Page_Error_SystemError.php
===================================================================
--- /branches/comu-ver2/data/class/pages/error/LC_Page_Error_SystemError.php	(revision 16931)
+++ /branches/comu-ver2/data/class/pages/error/LC_Page_Error_SystemError.php	(revision 17425)
@@ -90,5 +90,5 @@
 
     /**
-     * 管理ページかどうかを判定する.
+     * 管理機能かどうかを判定する.
      *
      * @return boolean
Index: /branches/comu-ver2/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/comu-ver2/data/class/pages/products/LC_Page_Products_Detail.php	(revision 17162)
+++ /branches/comu-ver2/data/class/pages/products/LC_Page_Products_Detail.php	(revision 17425)
@@ -110,5 +110,6 @@
         $this->lfInitFile();
 
-        // 管理ページからの確認の場合は、非公開の商品も表示する。
+        // 管理機能からの確認の場合は、非公開の商品も表示する。
+        // XXX 若干脆弱な気がする。ログイン状態か確認するのが望ましいかと。
         if(isset($_GET['admin']) && $_GET['admin'] == 'on') {
             SC_Utils_Ex::sfIsSuccess(new SC_Session());
Index: /branches/comu-ver2/data/class/pages/products/LC_Page_Products_DetailImage.php
===================================================================
--- /branches/comu-ver2/data/class/pages/products/LC_Page_Products_DetailImage.php	(revision 17360)
+++ /branches/comu-ver2/data/class/pages/products/LC_Page_Products_DetailImage.php	(revision 17425)
@@ -58,4 +58,5 @@
 
         // 管理ページからの確認の場合は、非公開の商品も表示する。
+        // XXX 若干脆弱な気がする。ログイン状態か確認するのが望ましいかと。
         if (isset($_GET['admim']) && $_GET['admin'] == 'on') {
             $where = "del_flg = 0";
Index: /branches/comu-ver2/data/class/SC_CustomerList.php
===================================================================
--- /branches/comu-ver2/data/class/SC_CustomerList.php	(revision 17369)
+++ /branches/comu-ver2/data/class/SC_CustomerList.php	(revision 17425)
@@ -45,5 +45,5 @@
 
         if($mode == "customer") {
-            // 管理者ページ顧客検索の場合仮登録会員も検索
+            // 管理機能顧客検索の場合仮登録会員も検索
             //$this->setWhere( "(status = 1 OR status = 2) AND del_flg = 0 ");
             $this->setWhere( " del_flg = 0 ");
Index: /branches/comu-ver2/data/mtb_constants_init.php
===================================================================
--- /branches/comu-ver2/data/mtb_constants_init.php	(revision 17420)
+++ /branches/comu-ver2/data/mtb_constants_init.php	(revision 17425)
@@ -256,6 +256,6 @@
 /** 最大カテゴリ登録数 */
 define('CATEGORY_MAX', 1000);
-/** 管理ページタイトル */
-define('ADMIN_TITLE', "ECサイト管理ページ");
+/** 管理機能タイトル */
+define('ADMIN_TITLE', "管理機能");
 /** 編集時強調表示色 */
 define('SELECT_RGB', "#ffffdf");
@@ -322,5 +322,5 @@
 /** システム管理CSV出力ページ */
 define('URL_SYSTEM_CSV', URL_DIR . "admin/system/member_csv.php");
-/** 管理ページ用CSS保管ディレクトリ */
+/** 管理機能用CSS保管ディレクトリ */
 define('URL_ADMIN_CSS', URL_DIR . "admin/css/");
 /** キャンペーン登録ページ */
@@ -561,9 +561,9 @@
 /** SMARTYテンプレート */
 define('TEMPLATE_DIR', SMARTY_TEMPLATES_DIR . TEMPLATE_NAME . "/");
-/** SMARTYテンプレート(管理ページ) */
+/** SMARTYテンプレート(管理機能) */
 define('TEMPLATE_ADMIN_DIR', TEMPLATE_DIR . "admin/");
 /** SMARTYコンパイル */
 define('COMPILE_DIR', DATA_PATH . "Smarty/templates_c/" . TEMPLATE_NAME . "/");
-/** SMARTYコンパイル(管理ページ) */
+/** SMARTYコンパイル(管理機能) */
 define('COMPILE_ADMIN_DIR', COMPILE_DIR . "admin/");
 /** SMARTYテンプレート(FTP許可) */
Index: /branches/comu-ver2/html/install/sql/insert_data.sql
===================================================================
--- /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 17420)
+++ /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 17425)
@@ -904,5 +904,5 @@
 INSERT INTO mtb_constants VALUES ('LEVEL_MAX','5',132,'カテゴリの最大階層');
 INSERT INTO mtb_constants VALUES ('CATEGORY_MAX','1000',133,'最大カテゴリ登録数');
-INSERT INTO mtb_constants VALUES ('ADMIN_TITLE','"ECサイト管理ページ"',134,'管理ページタイトル');
+INSERT INTO mtb_constants VALUES ('ADMIN_TITLE','"管理機能"',134,'管理機能タイトル');
 INSERT INTO mtb_constants VALUES ('SELECT_RGB','"#ffffdf"',135,'編集時強調表示色');
 INSERT INTO mtb_constants VALUES ('DISABLED_RGB','"#C9C9C9"',136,'入力項目無効時の表示色');
@@ -937,5 +937,5 @@
 INSERT INTO mtb_constants VALUES ('URL_LOGOUT','URL_DIR . "admin/logout.php"',171,'ログアウトページ');
 INSERT INTO mtb_constants VALUES ('URL_SYSTEM_CSV','URL_DIR . "admin/system/member_csv.php"',172,'システム管理CSV出力ページ');
-INSERT INTO mtb_constants VALUES ('URL_ADMIN_CSS','URL_DIR . "admin/css/"',173,'管理ページ用CSS保管ディレクトリ');
+INSERT INTO mtb_constants VALUES ('URL_ADMIN_CSS','URL_DIR . "admin/css/"',173,'管理機能用CSS保管ディレクトリ');
 INSERT INTO mtb_constants VALUES ('URL_CAMPAIGN_TOP','URL_DIR . "admin/contents/campaign.php"',174,'キャンペーン登録ページ');
 INSERT INTO mtb_constants VALUES ('URL_CAMPAIGN_DESIGN','URL_DIR . "admin/contents/campaign_design.php"',175,'キャンペーンデザイン設定ページ');
@@ -1058,7 +1058,7 @@
 INSERT INTO mtb_constants VALUES ('TPL_DIR','URL_DIR . USER_DIR . USER_PACKAGE_DIR . TEMPLATE_NAME . "/"', 303,'SMARTYテンプレート');
 INSERT INTO mtb_constants VALUES ('TEMPLATE_DIR','SMARTY_TEMPLATES_DIR . TEMPLATE_NAME . "/"', 304,'SMARTYテンプレート');
-INSERT INTO mtb_constants VALUES ('TEMPLATE_ADMIN_DIR','TEMPLATE_DIR . "admin/"', 305,'SMARTYテンプレート(管理ページ)');
+INSERT INTO mtb_constants VALUES ('TEMPLATE_ADMIN_DIR','TEMPLATE_DIR . "admin/"', 305,'SMARTYテンプレート(管理機能)');
 INSERT INTO mtb_constants VALUES ('COMPILE_DIR','DATA_PATH . "Smarty/templates_c/" . TEMPLATE_NAME . "/"',306,'SMARTYコンパイル');
-INSERT INTO mtb_constants VALUES ('COMPILE_ADMIN_DIR','COMPILE_DIR . "admin/"',307,'SMARTYコンパイル(管理ページ)');
+INSERT INTO mtb_constants VALUES ('COMPILE_ADMIN_DIR','COMPILE_DIR . "admin/"',307,'SMARTYコンパイル(管理機能)');
 INSERT INTO mtb_constants VALUES ('TEMPLATE_FTP_DIR','USER_PATH . USER_PACKAGE_DIR . TEMPLATE_NAME . "/"', 308,'SMARTYテンプレート(FTP許可)');
 INSERT INTO mtb_constants VALUES ('COMPILE_FTP_DIR','COMPILE_DIR . USER_DIR', 309,'SMARTYコンパイル(FTP許可)');